BSON_COPY(3)

SYNOPSIS

            bson_t *
            bson_copy (const bson_t *bson);

PARAMETERS

    •   bson: A bson_t <>.

DESCRIPTION

The bson_copy() <> function shall copy the contents of a bson document into a new bson_t <>.

The resulting bson_t <> should be freed with bson_destroy() <>.

RETURNS

A newly allocated bson_t <> that should be freed with bson_destroy() <>.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.